SpyBara
Go Premium

resources/uploads/subresources/parts/index.md 2026-05-02 05:57 UTC to 2026-05-05 23:00 UTC

103 added, 0 removed.

2026
Wed 27 06:42 Fri 22 06:33 Wed 20 06:35 Tue 19 06:34 Mon 18 22:01 Mon 11 18:00 Thu 7 21:57 Tue 5 23:00 Sat 2 05:57
Data Information:
  • After 2026-05-05 06:03 UTC, this monitor no longer uses markdownified HTML/MDX. Comparisons across that boundary can therefore show more extensive diffs.

Parts

Add upload part

post /uploads/{upload_id}/parts

Adds a Part to an Upload object. A Part represents a chunk of bytes from the file you are trying to upload.

Each Part can be at most 64 MB, and you can add Parts until you hit the Upload maximum of 8 GB.

It is possible to add multiple Parts in parallel. You can decide the intended order of the Parts when you complete the Upload.

Path Parameters

  • upload_id: string

Returns

  • UploadPart object { id, created_at, object, upload_id }

    The upload Part represents a chunk of bytes we can add to an Upload object.

    • id: string

      The upload Part unique identifier, which can be referenced in API endpoints.

    • created_at: number

      The Unix timestamp (in seconds) for when the Part was created.

    • object: "upload.part"

      The object type, which is always upload.part.

      • "upload.part"
    • upload_id: string

      The ID of the Upload object that this Part was added to.

Example

curl https://api.openai.com/v1/uploads/$UPLOAD_ID/parts \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F 'data=@/path/to/data'

Response

{
  "id": "id",
  "created_at": 0,
  "object": "upload.part",
  "upload_id": "upload_id"
}

Example

curl https://api.openai.com/v1/uploads/upload_abc123/parts
  -F data="aHR0cHM6Ly9hcGkub3BlbmFpLmNvbS92MS91cGxvYWRz..."

Response

{
  "id": "part_def456",
  "object": "upload.part",
  "created_at": 1719185911,
  "upload_id": "upload_abc123"
}

Domain Types

Upload Part

  • UploadPart object { id, created_at, object, upload_id }

    The upload Part represents a chunk of bytes we can add to an Upload object.

    • id: string

      The upload Part unique identifier, which can be referenced in API endpoints.

    • created_at: number

      The Unix timestamp (in seconds) for when the Part was created.

    • object: "upload.part"

      The object type, which is always upload.part.

      • "upload.part"
    • upload_id: string

      The ID of the Upload object that this Part was added to.